@echo off

REM ##### 引数取得 #####
set PRODUCT_NAME=%1
set PRODUCT_VER=%2


REM ##### バージョンチェック #####
set INSTALLED_VER=
for /f "tokens=3 delims= " %%F in ('call GetInstalledProductVersion.bat %PRODUCT_NAME%') do (
	call :sub %%F
)
if "%INSTALLED_VER%" == "NOT_INSTALLED" (
	echo %PRODUCT_NAME%は、インストールされていません。
	exit 1
)
if "%INSTALLED_VER%" == "%PRODUCT_VER%" (
	echo %PRODUCT_NAME%は、最新版がインストールされています。^(Ver.%INSTALLED_VER%^)
	exit 1
)
if "%INSTALLED_VER%" == "0.9.9" (
	goto update
)
echo %PRODUCT_NAME%は、アップデート対象のバージョンではありません。^(Ver.%INSTALLED_VER%^)
exit 1


REM ##### アップデート #####
:update
echo %PRODUCT_NAME%のアップデート処理をします。^(Ver.%INSTALLED_VER% -^> Ver.%PRODUCT_VER%^)
exit 0


REM ##### サブルーチン #####
:sub
set INSTALLED_VER=%1
exit /b

